- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libfreehand::FHArcToElement Class Reference
Inheritance diagram for libfreehand::FHArcToElement:

## Public Member Functions
| FHArcToElement (double rx, double ry, double rotation, bool largeArc, bool sweep, double x, double y)
| ~FHArcToElement ()
void | writeOut (librevenge::RVNGPropertyListVector &vec) const
void | transform (const FHTransform &trafo)
FHPathElement * | clone ()
Public Member Functions inherited from libfreehand::FHPathElement
| FHPathElement ()
virtual | ~FHPathElement ()

## Private Attributes
double | m_rx
double | m_ry
double | m_rotation
bool | m_largeArc
bool | m_sweep
double | m_x
double | m_y

## Constructor & Destructor Documentation

libfreehand::FHArcToElement::FHArcToElement | ( | double | rx,
|  | double | ry,
|  | double | rotation,
|  | bool | largeArc,
|  | bool | sweep,
|  | double | x,
|  | double | y
| ) |  |
| inline

libfreehand::FHArcToElement::~FHArcToElement | ( |  | ) |
| inline

## Member Function Documentation

libfreehand::FHPathElement * libfreehand::FHArcToElement::clone | ( |  | ) |
| virtual

Implements libfreehand::FHPathElement.

void libfreehand::FHArcToElement::transform | ( | const FHTransform & | trafo | ) |
| virtual

Implements libfreehand::FHPathElement.

void libfreehand::FHArcToElement::writeOut | ( | librevenge::RVNGPropertyListVector & | vec | ) | const
| virtual

Implements libfreehand::FHPathElement.

## Member Data Documentation

bool libfreehand::FHArcToElement::m_largeArc
| private

double libfreehand::FHArcToElement::m_rotation
| private

double libfreehand::FHArcToElement::m_rx
| private

double libfreehand::FHArcToElement::m_ry
| private

bool libfreehand::FHArcToElement::m_sweep
| private

double libfreehand::FHArcToElement::m_x
| private

double libfreehand::FHArcToElement::m_y
| private

The documentation for this class was generated from the following file:

- FHPath.cpp